POST api/printertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PrinterTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| description | string |
Required |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "b98e324b-03a1-4bd8-b5a2-2ab3f7bee48c",
"active": true,
"description": "sample string 3",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<printer_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>b98e324b-03a1-4bd8-b5a2-2ab3f7bee48c</id> <type>sample string 4</type> </printer_type>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a0e704b4-1473-4cef-9e21-f3287191c07a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a0e704b4-1473-4cef-9e21-f3287191c07a</guid>